Index: /code/trunk/data/levels/iiJohnVane_Area51UnderFire.oxw
===================================================================
--- /code/trunk/data/levels/iiJohnVane_Area51UnderFire.oxw	(revision 9989)
+++ /code/trunk/data/levels/iiJohnVane_Area51UnderFire.oxw	(revision 9990)
@@ -1,3 +1,3 @@
-<!-- (ii) John Vane : Trip to Area 51-->
+<!-- (ii) John Vane : Trip to Area 51 -->
 
 <!--
@@ -57,5 +57,5 @@
     />
 
-<Scene
+  <Scene
     ambientlight = "0.8, 0.8, 0.8"
     skybox       = "Orxonox/Starbox"
@@ -63,28 +63,28 @@
   <?lua include("includes/pickups.oxi") ?>
 
-<Script code="showGUI NotificationLayer false true" needsGraphics="true" />
-<OverlayGroup name="spacefightHUD" scale = "1, 1">
-  <CountDown
-     position    = "0.51, 0.05"
-     pickpoint   = "0.0, 0.0"
-     font        = "ShareTechMono"
-     textsize    = 0.1
-     colour      = "1.0, 1.0, 1.0, 1.0"
-     align       = "center"                  
-     counter     = "10.0"
-     speedfactor = "1.0"
-     active      = "false"
-  >
-    <events>
-      <activity>
-        <EventListener event="timer1" />
-      </activity>
-    </events>
-  </CountDown>
-</OverlayGroup>
+    <Script code="showGUI NotificationLayer false true" needsGraphics="true" />
+    <OverlayGroup name="spacefightHUD" scale = "1, 1">
+      <CountDown
+         position    = "0.51, 0.05"
+         pickpoint   = "0.0, 0.0"
+         font        = "ShareTechMono"
+         textsize    = 0.1
+         colour      = "1.0, 1.0, 1.0, 1.0"
+         align       = "center"                  
+         counter     = "10.0"
+         speedfactor = "1.0"
+         active      = "false"
+      >
+        <events>
+          <activity>
+            <EventListener event="timer1" />
+          </activity>
+        </events>
+      </CountDown>
+    </OverlayGroup>
 
 <!-- SPAWNTRIGGER -->
-	<!-- StartPoint --> 
-	<SpawnPoint team=0 position="0, 0, 0" lookat="100, 0, 0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage >
+    <!-- StartPoint --> 
+    <SpawnPoint team=0 position="0, 0, 0" lookat="100, 0, 0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage >
           <events>
             <activity>
@@ -92,226 +92,227 @@
             </activity>
           </events>
-	</SpawnPoint>
-
-	<EventTrigger name="flying12" invert="true" >
-	  <events>
-	    <trigger>
-	      <EventListener event="flying1" />
-	    </trigger>
+    </SpawnPoint>
+    <Billboard position="-10,0,0" material="Portals/Default" />
+
+    <EventTrigger name="flying12" invert="true" >
+      <events>
+        <trigger>
+          <EventListener event="flying1" />
+        </trigger>
           </events>
-	</EventTrigger>
-
-	<!-- Second Spawnpoint (after first guard) -->
-	<SpawnPoint team=0 position="13500, 2500, 10500" lookat="18000,5000,18000" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage >
-	  <events>
+    </EventTrigger>
+
+    <!-- Second Spawnpoint (after first guard) -->
+    <SpawnPoint team=0 position="13500, 2500, 10500" lookat="18000,5000,18000" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage >
+      <events>
             <activity>
-	      <EventTrigger>
-		<EventTrigger invert=true >
-		  <events>
-		    <trigger>
-		      <EventListener event="reached" />
-		    </trigger>
-		  </events>
-		</EventTrigger>
-		<events>
-		  <trigger>
+          <EventTrigger>
+        <EventTrigger invert=true >
+          <events>
+            <trigger>
+              <EventListener event="reached" />
+            </trigger>
+          </events>
+        </EventTrigger>
+        <events>
+          <trigger>
                     <EventListener event="flying1" />
-		  </trigger>
-		</events>
-	      </EventTrigger>
+          </trigger>
+        </events>
+          </EventTrigger>
             </activity>
           </events>
         </SpawnPoint>
-	
-	<!-- Thirth Spawnpoint (when reached Captain Hood) -->
-	<SpawnPoint team=0 position="-4000, -18000, 19000" lookat="-12000, -22000, 25000" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage >
-	  <events>
-            <activity>
-	      <EventTrigger>
-		<EventTrigger invert=true >
-		  <events>
-		    <trigger>
-		      <EventListener event="timerEnd" />
-		    </trigger>
-		  </events>
-		</EventTrigger>
-		<events>
-		  <trigger>
-                    <EventListener event="reached" />
-		  </trigger>
-		</events>
-	      </EventTrigger>
-            </activity>
-          </events>
-        </SpawnPoint>
-
-	<!-- Distance-Spawn-Trigger -->
-	<DistanceTrigger name=spawntrigger2 position="0, 0, 0" target="SpaceShip" distance=10 stayActive="true" delay=0 />
-
-	<!-- Drone pickup -->
-	<PickupSpawner pickup=dronepickup position="9750, -5350, 5650" triggerDistance="100" respawnTime="30" maxSpawnedItems="2" />
-
-	<!-- QUEST DESCRIPTION -->
-	<LocalQuest id="spacefight.guard1">
-		<QuestDescription 
-			title="The first guard!" 
-			description="You've reached the enemys Station and they haven't seen you yet.
-
-				Ahead you see the first little patrol.
-				There are two little battleships and also two unarmed ships.
-				The unarmed could not attack you. So first destroy the battleships!"
-			failMessage="You've lost all your ships!"
-			completeMessage="Well done!" />
-	</LocalQuest>
-
-	<LocalQuest id="spacefight.upgrade1">
-		<QuestDescription
-			title="Prepare for the fight (optional)"
-			description="Your friends has an arsenal left behind near by your position.
-				perhaps you find something useful there...
-				Hint: look for a big asteroid."
-			failMessage="You've lost all your ships!"
-			completeMessage="Your ship is prepared best for the second and last guard on the way to the mainship.
-				Now attack the second guard!" />
-	</LocalQuest>
-
-	<!-- Quest-Problem: Quests couldn't be started and completed --
-	<LocalQuest id="spacefight.guard2">
-		<QuestDescription
-			title="The second guard!"
-			description="There is also a second guard. The blinking light shows you the direction.
-				Destroy also this guard!"
-			failMessage="You've lost all your ships!"
-			completeMessage="" />
-	</LocalQuest>
-
-	<LocalQuest id="spacefight.escape">
-		<QuestDescription
-			title="Catch the messenger!"
-			description="A messenger is on the way to warn the troups of the mainship.
-				Destroy him before he is near by the mainship. 
-				Else the fight against the enemys troups will be much more difficult."
-			failMessage="The messenger has reached the mainship.
-				Prepare to fight against a strong enmey!"
-			completeMessage="Well done! Now the element of surprise will be ours!" />
-	</LocalQuest>
-
-	<!-- 2 different possibilitys --
-	<!-- Spion is destroyed --
-	<LocalQuest id="spacefight.mainfight(min)" >
-		<QuestDescription
-			title="The big fight!"
-			description="Now the time is come!
-				You've done all you can to prepare you for this spacebattle.
-				Let us see, if it was enough.
-				
-				ATTACK!!!"
-			failMessage="You've lost all your ships!"
-			completeMessage="YEEEHAAA!
-				You managed it! For that you will get the golden medal of the united space armies." />
-		<complete-effects>
-			<AddQuest questId="spacefight.rescue" />
-		</complete-effects>
-	</LocalQuest>
-
-	<!-- Spion isn't destroyed --
-	<LocalQuest id="spacefight.mainfight(max)" >
-		<QuestDescription
-			title="The big fight!"
-			description="Now the time is come!
-				You've done all you can to prepare you for this spacebattle.
-				Unfortunately the spion has alert the mainship. So the soldiers will also be prepared for you.
-				But you can manage it.
-				Good luck!"
-			failMessage="You've lost all your ships!"
-			completeMessage="YEEEHAAA!
-				You managed it! For that you will get the golden medal of the united space armies." />
-		<complete-effects>
-			<AddQuest questId="spacefight.rescue" />
-		</complete-effects>
-	</LocalQuest>
-
-	<LocalQuest id="spacefight.rescue" >
-		<QuestDescription
-			title="Rescue and place the bomb"
-			description="Now you have to free the commander and place a bomb in the pirates' mainship."
-			failMessage="You've lost all your ships!"
-			completeMessage="" />
-		<complete-effects>
-			<AddQuest questId="spacefight.moveAway" />
-		</complete-effects>
-	</LocalQuest>
-
-	<LocalQuest id="spacefight.moveAway" >
-		<QuestDescription
-			title="Get away!"
-			description="Get away of the mainship before the bomb detonates."
-			failMessage="You've lost all your ships!"
-			completeMessage="Done!" />
-	</LocalQuest>
-
-	<!-- End of Mission -->
-	
+    
+    <!-- Thirth Spawnpoint (when reached Captain Hood) -->
+    <SpawnPoint team=0 position="-4000, -18000, 19000" lookat="-12000, -22000, 25000" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage >
+      <events>
+        <activity>
+          <EventTrigger>
+            <EventTrigger invert=true >
+              <events>
+                <trigger>
+                  <EventListener event="timerEnd" />
+                </trigger>
+              </events>
+            </EventTrigger>
+            <events>
+              <trigger>
+                <EventListener event="reached" />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </activity>
+      </events>
+    </SpawnPoint>
+
+    <!-- Distance-Spawn-Trigger -->
+    <DistanceTrigger name=spawntrigger2 position="0, 0, 0" target="SpaceShip" distance=10 stayActive="true" delay=0 />
+
+    <!-- Drone pickup -->
+    <PickupSpawner pickup=dronepickup position="9750, -5350, 5650" triggerDistance="100" respawnTime="30" maxSpawnedItems="2" />
+
+    <!-- QUEST DESCRIPTION -->
+    <LocalQuest id="spacefight.guard1">
+        <QuestDescription 
+            title="The first guard!" 
+            description="You've reached the enemys Station and they haven't seen you yet.
+
+Ahead you see the first little patrol.
+There are two little battleships and also two unarmed ships.
+The unarmed could not attack you. So first destroy the battleships!"
+            failMessage="You've lost all your ships!"
+            completeMessage="Well done!" />
+    </LocalQuest>
+
+    <LocalQuest id="spacefight.upgrade1">
+        <QuestDescription
+            title="Prepare for the fight (optional)"
+            description="Your friends has an arsenal left behind near by your position.
+Perhaps you find something useful there...
+Hint: look for a big asteroid."
+            failMessage="You've lost all your ships!"
+            completeMessage="Your ship is well prepared for the second and last guard on the way to the mainship.
+                Now attack the second guard!" />
+    </LocalQuest>
+
+    <!-- Quest-Problem: Quests couldn't be started and completed --
+    <LocalQuest id="spacefight.guard2">
+        <QuestDescription
+            title="The second guard!"
+            description="There is also a second guard. The blinking light shows you the direction.
+                Destroy also this guard!"
+            failMessage="You've lost all your ships!"
+            completeMessage="" />
+    </LocalQuest>
+
+    <LocalQuest id="spacefight.escape">
+        <QuestDescription
+            title="Catch the messenger!"
+            description="A messenger is on the way to warn the troups of the mainship.
+                Destroy him before he is near by the mainship. 
+                Else the fight against the enemys troups will be much more difficult."
+            failMessage="The messenger has reached the mainship.
+                Prepare to fight against a strong enmey!"
+            completeMessage="Well done! Now the element of surprise will be ours!" />
+    </LocalQuest>
+
+    <!-- 2 different possibilitys --
+    <!-- Spion is destroyed --
+    <LocalQuest id="spacefight.mainfight(min)" >
+        <QuestDescription
+            title="The big fight!"
+            description="Now the time is come!
+                You've done all you can to prepare you for this spacebattle.
+                Let us see, if it was enough.
+                
+                ATTACK!!!"
+            failMessage="You've lost all your ships!"
+            completeMessage="YEEEHAAA!
+                You managed it! For that you will get the golden medal of the united space armies." />
+        <complete-effects>
+            <AddQuest questId="spacefight.rescue" />
+        </complete-effects>
+    </LocalQuest>
+
+    <!-- Spion isn't destroyed --
+    <LocalQuest id="spacefight.mainfight(max)" >
+        <QuestDescription
+            title="The big fight!"
+            description="Now the time is come!
+                You've done all you can to prepare you for this spacebattle.
+                Unfortunately the spion has alert the mainship. So the soldiers will also be prepared for you.
+                But you can manage it.
+                Good luck!"
+            failMessage="You've lost all your ships!"
+            completeMessage="YEEEHAAA!
+                You managed it! For that you will get the golden medal of the united space armies." />
+        <complete-effects>
+            <AddQuest questId="spacefight.rescue" />
+        </complete-effects>
+    </LocalQuest>
+
+    <LocalQuest id="spacefight.rescue" >
+        <QuestDescription
+            title="Rescue and place the bomb"
+            description="Now you have to free the commander and place a bomb in the pirates' mainship."
+            failMessage="You've lost all your ships!"
+            completeMessage="" />
+        <complete-effects>
+            <AddQuest questId="spacefight.moveAway" />
+        </complete-effects>
+    </LocalQuest>
+
+    <LocalQuest id="spacefight.moveAway" >
+        <QuestDescription
+            title="Get away!"
+            description="Get away of the mainship before the bomb detonates."
+            failMessage="You've lost all your ships!"
+            completeMessage="Done!" />
+    </LocalQuest>
+
+    <!-- End of Mission -->
+    
 <!-- ---------------------------------------------------------------------- -->
 <!-- QuestEffectBeacon's (not all necessary, because not all Quests work -->
-	<!-- START -->
-	<QuestEffectBeacon times=0>
-		<effects>
-			<AddQuest questId="spacefight.guard1" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event=spawntrigger2 />
-			</execute>
-		</events>
-	</QuestEffectBeacon>
-
-	<QuestEffectBeacon times=0>
-		<events>
-			<execute>
-				<EventListener event="flying1" />
-			</execute>
-		</events>
-		<effects>
-			<CompleteQuest questId="spacefight.guard1" />
-		</effects>
-	</QuestEffectBeacon>
-
-	<SimpleNotification message="Houston: Well done!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="flying1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="flying1delay" activations="1" stayactive="true" delay=5.1 >
-	  <events>
-	    <trigger>
-	      <EventListener event="flying1" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: The green light shows you the way!"  broadcast="true" >
-		<events>
-			<trigger>
-				<EventListener event="flying1delay" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<!-- Is activ at flying 1 and again inactive when flying2-->
-	<BlinkingBillboard position="11000, 1000, 7000" colour="0.0, 1.0, 0.0" frequency=0.5 amplitude=10 material="Examples/Flare" >
-          <events>
-            <visibility>
-              <EventTrigger>
-		<EventTrigger invert=true>
-		  <events>
-		    <trigger>
-		      <EventListener event="flying2" />
-		    </trigger>
-		  </events>
-		</EventTrigger>
+    <!-- START -->
+    <QuestEffectBeacon times=0>
+        <effects>
+            <AddQuest questId="spacefight.guard1" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event=spawntrigger2 />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
+    <QuestEffectBeacon times=0>
+        <events>
+            <execute>
+                <EventListener event="flying1" />
+            </execute>
+        </events>
+        <effects>
+            <CompleteQuest questId="spacefight.guard1" />
+        </effects>
+    </QuestEffectBeacon>
+
+    <SimpleNotification message="Houston: Well done!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="flying1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="flying1delay" activations="1" stayactive="true" delay=5.1 >
+      <events>
+        <trigger>
+          <EventListener event="flying1" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: The green light shows you the way!"  broadcast="true" >
+        <events>
+            <trigger>
+                <EventListener event="flying1delay" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <!-- Is activ at flying 1 and again inactive when flying2-->
+    <BlinkingBillboard position="11000, 1000, 7000" colour="0.0, 1.0, 0.0" frequency=0.5 amplitude=10 material="Examples/Flare" >
+      <events>
+        <visibility>
+          <EventTrigger>
+            <EventTrigger invert=true>
+              <events>
+                <trigger>
+                  <EventListener event="flying2" />
+                </trigger>
+              </events>
+            </EventTrigger>
                 <events>
                   <trigger>
@@ -319,263 +320,263 @@
                   </trigger>
                 </events>
-	      </EventTrigger>
+              </EventTrigger>
             </visibility>
           </events>
-	</BlinkingBillboard>
-	
-	<!-- Drone (optional quest) -->
-	<QuestEffectBeacon times=0>
-		<effects>
-			<AddQuest questId="spacefight.upgrade1" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="droneTrigger" />
-			</execute>
-		</events>
-	</QuestEffectBeacon>	
-
-	<QuestEffectBeacon times=0>
-		<effects>
-			<CompleteQuest questId="spacefight.upgrade1" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="drone1" />
-			</execute>
-		</events>
-	</QuestEffectBeacon>
-
-	<QuestEffectBeacon times=0>
-		<effects>
-			<CompleteQuest questId="spacefight.upgrade1" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="victory" />
-			</execute>
-		</events>
-	</QuestEffectBeacon>
-	
-	<!-- Guard 2 -->
-	<QuestEffectBeacon times=0>
-		<effects>
-			<AddQuest questId="spacefight.guard2" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="droneTrigger" />
-			</execute>		
-		</events>
-	</QuestEffectBeacon>
-
-	<QuestEffectBeacon times=0>
-		<effects>
-			<CompleteQuest questId="spacefight.guard2" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="flying2" />
-			</execute>		
-		</events>
-	</QuestEffectBeacon>
-
-	<!-- ESCAPE -->
-	<SimpleNotification message="Houston: A scout is startet to the mainship!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="guard2trigger1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<QuestEffectBeacon times=0>
-		<effects>
-			<AddQuest questId="spacefight.escape" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="escape10" />
-			</execute>
-		</events>
-	</QuestEffectBeacon>
-
-	<!-- ESCAPE ENDING -->
-	<!-- Spion escaped -->
-	<QuestEffectBeacon times=0>
-		<effects>
-			<CompleteQuest questId="spacefight.escape" />
-			<AddQuest questId="spacefight.mainfight(max)" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="spionTrigger" />
-			</execute>
-		</events>
-	</QuestEffectBeacon>
-
-	<!-- Spion destroyed -->
-	<QuestEffectBeacon>
-		<effects>
-			<CompleteQuest questId="spacefight.escape" />
-			<AddQuest questId="spacefight.mainfight(min)" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="spion5" />
-			</execute>
-		</events>
-	</QuestEffectBeacon>
-
-	<!-- LAST FIGHT -->
-	<!-- Spion destroyed -->
-	<QuestEffectBeacon>
-		<effects>
-			<CompleteQuest questId="spacefight.mainfight(min)" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="guard3trigger4" />
-			</execute>
-		</events>
-	</QuestEffectBeacon>
-
-	<!-- Spion escaped -->
-	<QuestEffectBeacon>
-		<effects>
-			<CompleteQuest questId="spacefight.mainfight(max)" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="guard3trigger6" />
-			</execute>
-		</events>
-	</QuestEffectBeacon>
-
-	<!-- COMMANDER RESCUE -->
-	<QuestEffectBeacon>
-		<effects>
-			<CompleteQuest questId="spacefight.rescue" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="dock" />
-			</execute>
-		</events>
-	</QuestEffectBeacon>
-
-	<!-- FLY AWAY -->
-	<QuestEffectBeacon>
-		<effects>
-			<CompleteQuest questId="spacefight.moveAway" />
-		</effects>
-		<events>
-			<execute>
-				<EventListener event="" />
-			</execute>
-		</events>
-	</QuestEffectBeacon>
-
-	<!-- End with explosion -->
+    </BlinkingBillboard>
+    
+    <!-- Drone (optional quest) -->
+    <QuestEffectBeacon times=0>
+        <effects>
+            <AddQuest questId="spacefight.upgrade1" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="droneTrigger" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>    
+
+    <QuestEffectBeacon times=0>
+        <effects>
+            <CompleteQuest questId="spacefight.upgrade1" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="drone1" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
+    <QuestEffectBeacon times=0>
+        <effects>
+            <CompleteQuest questId="spacefight.upgrade1" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="victory" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+    
+    <!-- Guard 2 -->
+    <QuestEffectBeacon times=0>
+        <effects>
+            <AddQuest questId="spacefight.guard2" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="droneTrigger" />
+            </execute>        
+        </events>
+    </QuestEffectBeacon>
+
+    <QuestEffectBeacon times=0>
+        <effects>
+            <CompleteQuest questId="spacefight.guard2" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="flying2" />
+            </execute>        
+        </events>
+    </QuestEffectBeacon>
+
+    <!-- ESCAPE -->
+    <SimpleNotification message="Houston: A scout is startet to the mainship!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="guard2trigger1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <QuestEffectBeacon times=0>
+        <effects>
+            <AddQuest questId="spacefight.escape" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="escape10" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
+    <!-- ESCAPE ENDING -->
+    <!-- Spion escaped -->
+    <QuestEffectBeacon times=0>
+        <effects>
+            <CompleteQuest questId="spacefight.escape" />
+            <AddQuest questId="spacefight.mainfight(max)" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="spionTrigger" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
+    <!-- Spion destroyed -->
+    <QuestEffectBeacon>
+        <effects>
+            <CompleteQuest questId="spacefight.escape" />
+            <AddQuest questId="spacefight.mainfight(min)" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="spion5" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
+    <!-- LAST FIGHT -->
+    <!-- Spion destroyed -->
+    <QuestEffectBeacon>
+        <effects>
+            <CompleteQuest questId="spacefight.mainfight(min)" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="guard3trigger4" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
+    <!-- Spion escaped -->
+    <QuestEffectBeacon>
+        <effects>
+            <CompleteQuest questId="spacefight.mainfight(max)" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="guard3trigger6" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
+    <!-- COMMANDER RESCUE -->
+    <QuestEffectBeacon>
+        <effects>
+            <CompleteQuest questId="spacefight.rescue" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="dock" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
+    <!-- FLY AWAY -->
+    <QuestEffectBeacon>
+        <effects>
+            <CompleteQuest questId="spacefight.moveAway" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
+    <!-- End with explosion -->
 
 <!-- ---------------------------------------------------------------------- -->
-	<!-- Helper-Trigger for first guard -->
-	<EventTrigger name="spawntrigger2Delay" stayactive="true" delay=2 >
-		<events>
-			<trigger>
-				<EventListener event=spawntrigger2 />
-			</trigger>
-		</events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: Attack the first guard!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="spawntrigger2Delay" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<DistanceTrigger name="flying1" position="9000, 0, 0" target="SpaceShip" distance=10000 stayActive="true" delay=0.1 >
-		<EventTrigger>
-			<events>
-				<trigger>
-					<EventListener event="guard1trigger4" />
-				</trigger>
-			</events>
-		</EventTrigger>
-	</DistanceTrigger>
-
-	<!-- Trigger to activate the upgrade1-Quest -->
-	<DistanceTrigger name="droneTrigger" position="11000, 1000, 7000" target="SpaceShip" distance=2000 stayActive="true" delay=0.1 />
-	<SimpleNotification message="Houston: Need an Upgrade?"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="droneTrigger" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="droneTriggerDelay" stayactive="true" delay=5 >
-		<events>
-			<trigger>
-				<EventListener event="droneTrigger" />
-			</trigger>
-		</events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: Search the drone!"  broadcast="true" >
-		<events>
-			<trigger>
-				<EventListener event="droneTriggerDelay" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="droneTriggerDelay2" stayactive="true" delay=5 >
-		<events>
-			<trigger>
-				<EventListener event="droneTriggerDelay" />
-			</trigger>
-		</events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: Else you see the second guard ahead..."  broadcast="true" >
-		<events>
-			<trigger>
-				<EventListener event="droneTriggerDelay2" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-			
-
-	<!-- Helper-Trigger for the drone -->
-	<DistanceTrigger name="drone1" position="9750, -5350, 5650" target="SpaceShip" distance=100 stayActive="true" delay=0.1 />
-	<SimpleNotification message="Houston: Now your are prepared best!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="drone1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="drone1Delay" stayactive="true" delay=5.1 >
-		<events>
-			<trigger>
-				<EventListener event="drone1" />
-			</trigger>
-		</events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: Fly back to the green light."  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="drone1Delay" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<Trigger name="secondDroneTrigger" mode="and" stayActive="true">
-	  <DistanceTrigger name="droneTrigger" position="11000, 1000, 7000" target="SpaceShip" distance=1000 stayActive="true" delay=0.1 />
+    <!-- Helper-Trigger for first guard -->
+    <EventTrigger name="spawntrigger2Delay" stayactive="true" delay=2 >
+        <events>
+            <trigger>
+                <EventListener event=spawntrigger2 />
+            </trigger>
+        </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: Attack the first guard!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="spawntrigger2Delay" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="flying1" position="9000, 0, 0" target="SpaceShip" distance=10000 stayActive="true" delay=0.1 >
+        <EventTrigger>
+            <events>
+                <trigger>
+                    <EventListener event="guard1trigger4" />
+                </trigger>
+            </events>
+        </EventTrigger>
+    </DistanceTrigger>
+
+    <!-- Trigger to activate the upgrade1-Quest -->
+    <DistanceTrigger name="droneTrigger" position="11000, 1000, 7000" target="SpaceShip" distance=2000 stayActive="true" delay=0.1 />
+    <SimpleNotification message="Houston: Need an Upgrade?"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="droneTrigger" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="droneTriggerDelay" stayactive="true" delay=5 >
+        <events>
+            <trigger>
+                <EventListener event="droneTrigger" />
+            </trigger>
+        </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: Search the drone!"  broadcast="true" >
+        <events>
+            <trigger>
+                <EventListener event="droneTriggerDelay" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="droneTriggerDelay2" stayactive="true" delay=5 >
+        <events>
+            <trigger>
+                <EventListener event="droneTriggerDelay" />
+            </trigger>
+        </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: Else you see the second guard ahead..."  broadcast="true" >
+        <events>
+            <trigger>
+                <EventListener event="droneTriggerDelay2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+            
+
+    <!-- Helper-Trigger for the drone -->
+    <DistanceTrigger name="drone1" position="9750, -5350, 5650" target="SpaceShip" distance=100 stayActive="true" delay=0.1 />
+    <SimpleNotification message="Houston: Now your are prepared best!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="drone1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="drone1Delay" stayactive="true" delay=5.1 >
+        <events>
+            <trigger>
+                <EventListener event="drone1" />
+            </trigger>
+        </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: Fly back to the green light."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="drone1Delay" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <Trigger name="secondDroneTrigger" mode="and" stayActive="true">
+      <DistanceTrigger name="droneTrigger" position="11000, 1000, 7000" target="SpaceShip" distance=1000 stayActive="true" delay=0.1 />
           <EventTrigger>
             <events>
@@ -587,104 +588,104 @@
         </Trigger>
 
-	<SimpleNotification message="Houston: The red light shows you the direction."  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="secondDroneTrigger" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<BlinkingBillboard position="12000, 1500, 10000" colour="1.0, 0.0, 0.0" frequency=0.5 amplitude=5 material="Examples/Flare" >
-	  <events>
-	    <visibility>
-	      <EventTrigger>
-		<EventTrigger invert=true>
-		  <events>
-		    <trigger>
-		      <EventListener event="guard2trigger1" />
-		    </trigger>
-		  </events>
-		</EventTrigger>
-	        <events>
-	          <trigger>
-	            <EventListener event="secondDroneTrigger" />
-	          </trigger>
-	        </events>
-	      </EventTrigger>
-	    </visibility>
-	  </events>
-	</BlinkingBillboard>
-
-	<!-- Helper-Trigger for second guard -->
-	<DistanceTrigger name="flying2" position="17000,5000,15000" target="SpaceShip" distance=20000 stayActive="true" delay=0 >
-		<EventTrigger>
-			<events>
-				<trigger>
-					<EventListener event="guard2trigger4" />
-				</trigger>
-			</events>
-		</EventTrigger>
-	</DistanceTrigger>	
-
-	<SimpleNotification message="Houston: Well done!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="flying2" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<Trigger name="guard2withoutScout" mode="and" stayActive="true" delay=0 >
-	  <EventTrigger activations="1" >
-	    <events>
-	      <trigger>
-	        <EventListener event="flying2" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
-	  <EventTrigger activations="1" invert="true" >
-	    <events>
-	      <trigger>
-	        <EventListener event="spionEnd" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
-	</Trigger>
-
-	<EventTrigger name="flying2delay1" activations="1" stayactive="true" delay=5 >
-	  <events>
-	    <trigger>
-	      <EventListener event="guard2withoutScout" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: Catch the scout!"  broadcast="true" >
-		<events>
-			<trigger>
-				<EventListener event="flying2delay1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="flying2delay2" activations="1" stayactive="true" delay=5 >
-	  <events>
-	    <trigger>
-	      <EventListener event="flying2delay1" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: Before he reachs the red light..."  broadcast="true" >
-		<events>
-			<trigger>
-				<EventListener event="flying2delay2" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<!-- DistanceTrigger for scout -->
-	<Trigger name="spionTrigger" mode="and" stayActive="true">
-	  <DistanceTrigger position="14000, 1000, 22000" target="SpaceShip" distance=50 stayActive="true" delay=0.1 />
+    <SimpleNotification message="Houston: The red light shows you the direction."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="secondDroneTrigger" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <BlinkingBillboard position="12000, 1500, 10000" colour="1.0, 0.0, 0.0" frequency=0.5 amplitude=5 material="Examples/Flare" >
+      <events>
+        <visibility>
+          <EventTrigger>
+        <EventTrigger invert=true>
+          <events>
+            <trigger>
+              <EventListener event="guard2trigger1" />
+            </trigger>
+          </events>
+        </EventTrigger>
+            <events>
+              <trigger>
+                <EventListener event="secondDroneTrigger" />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </BlinkingBillboard>
+
+    <!-- Helper-Trigger for second guard -->
+    <DistanceTrigger name="flying2" position="17000,5000,15000" target="SpaceShip" distance=20000 stayActive="true" delay=0 >
+        <EventTrigger>
+            <events>
+                <trigger>
+                    <EventListener event="guard2trigger4" />
+                </trigger>
+            </events>
+        </EventTrigger>
+    </DistanceTrigger>    
+
+    <SimpleNotification message="Houston: Well done!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="flying2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <Trigger name="guard2withoutScout" mode="and" stayActive="true" delay=0 >
+      <EventTrigger activations="1" >
+        <events>
+          <trigger>
+            <EventListener event="flying2" />
+          </trigger>
+        </events>
+      </EventTrigger>
+      <EventTrigger activations="1" invert="true" >
+        <events>
+          <trigger>
+            <EventListener event="spionEnd" />
+          </trigger>
+        </events>
+      </EventTrigger>
+    </Trigger>
+
+    <EventTrigger name="flying2delay1" activations="1" stayactive="true" delay=5 >
+      <events>
+        <trigger>
+          <EventListener event="guard2withoutScout" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: Catch the scout!"  broadcast="true" >
+        <events>
+            <trigger>
+                <EventListener event="flying2delay1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="flying2delay2" activations="1" stayactive="true" delay=5 >
+      <events>
+        <trigger>
+          <EventListener event="flying2delay1" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: Before he reachs the red light..."  broadcast="true" >
+        <events>
+            <trigger>
+                <EventListener event="flying2delay2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <!-- DistanceTrigger for scout -->
+    <Trigger name="spionTrigger" mode="and" stayActive="true">
+      <DistanceTrigger position="14000, 1000, 22000" target="SpaceShip" distance=50 stayActive="true" delay=0.1 />
           <EventTrigger activations="1" invert="true">
             <events>
@@ -696,290 +697,290 @@
         </Trigger>
 
-	<SimpleNotification message="Houston: Scout is arrived!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="spionTrigger" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="spionTriggerDelay" stayactive="true" delay=5 >
-		<events>
-			<trigger>
-				<EventListener event="spionTrigger" />
-			</trigger>
-		</events>
-	</EventTrigger>	
-
-	<SimpleNotification message="Houston: Now the mainship is alarmed..."  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="spionTriggerDelay" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<BlinkingBillboard position="14000, 1000, 22000" colour="1.0, 0.0, 0.0" frequency=0.3 amplitude=7 material="Examples/Flare" >
-	  <events>
-	    <visibility>
-	      <EventTrigger>
-		<EventTrigger invert=true>
-		  <events>
-		    <trigger>
-		      <EventListener event="spionEnd" />
-		    </trigger>
-		  </events>
-		</EventTrigger>
-	        <events>
-	          <trigger>
-	            <EventListener event="guard2trigger1" />
-	          </trigger>
-	        </events>
-	      </EventTrigger>
-	    </visibility>
-	  </events>
-	</BlinkingBillboard>
-
-	<!-- If scout destroyed -->
-	<SimpleNotification message="Houston: Scout destroyed!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="spion5" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<Trigger name="scoutDestroydAddon" mode="and" stayActive="true" delay=5 >
-	  <EventTrigger activations="1" >
-	    <events>
-	      <trigger>
-	        <EventListener event="spion5" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
-	  <EventTrigger activations="1" >
-	    <events>
-	      <trigger>
-	        <EventListener event="spionTrigger" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
-	</Trigger>
-
-	<SimpleNotification message="Houston: But the mainship is already warned."  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="scoutDestroydAddon" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<!-- Scout end -->
-	<Trigger name="spionEnd" mode="or" stayActive="true" delay=0 >
-	  <EventTrigger>
-	    <events>
-	      <trigger>
-	        <EventListener event="spion5" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
-	  <EventTrigger>
-	    <events>
-	      <trigger>
-	        <EventListener event="spionTrigger" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
-	</Trigger>
-
-	<EventTrigger name="spionEndDelay" activations="1" delay=5>
-	  <events>
-	    <trigger>
-	      <EventListener event="spionEnd" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<!-- Intro to Captain Hood -->
-	<Trigger name="introHood" mode="and" stayActive="true">
-	  <EventTrigger activations="1" >
-	    <events>
-	      <trigger>
-	        <EventListener event="spionEndDelay" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
-	  <EventTrigger activations="1" >
-	    <events>
-	      <trigger>
-	        <EventListener event="guard2trigger4" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
-	</Trigger>
-
-	<EventTrigger name="introHoodDelay1" activations="1" stayactive="true" delay=5 >
-	  <events>
-	    <trigger>
-	      <EventListener event="introHood" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: Your friend, Captain Hood, is"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="introHoodDelay1.2" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="introHoodDelay1.2" activations="1" stayactive="true" delay=0.1 >
-	  <events>
-	    <trigger>
-	      <EventListener event="introHoodDelay1" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="near by you!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="introHoodDelay1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="introHoodDelay2" activations="1" stayactive="true" delay=5.1 >
-	  <events>
-	    <trigger>
-	      <EventListener event="introHoodDelay1" />
-	    </trigger>
-	  </events>
-	</EventTrigger>	
-
-	<SimpleNotification message="Houston: He'll show you the way"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="introHoodDelay2.2" />
-			</trigger>
-		</events>
-	</SimpleNotification>	
-
-	<EventTrigger name="introHoodDelay2.2" activations="1" stayactive="true" delay=0.1 >
-	  <events>
-	    <trigger>
-	      <EventListener event="introHoodDelay2" />
-	    </trigger>
-	  </events>
-	</EventTrigger>	
-
-	<SimpleNotification message="to the mainship!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="introHoodDelay2" />
-			</trigger>
-		</events>
-	</SimpleNotification>	
-
-	<!-- Helper-Trigger for Captain Hood -->
-	<DistanceTrigger name="reached" position="10000, 2000, 17000" target="SpaceShip" distance=1000 stayActive="true" delay=0.1 >
-		<EventTrigger>
-			<events>
-				<trigger>
-					<EventListener event="guard2trigger4" />
-				</trigger>
-			</events>
-		</EventTrigger>
-	</DistanceTrigger>
-
-	<SimpleNotification message="Houston: Follow Captain Hood!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="reached" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="reachedDelay1" activations="1" stayactive="true" delay=5 >
-	  <events>
-	    <trigger>
-	      <EventListener event="reached" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="Hood: Hello my friend!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="reachedDelay1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="reachedDelay2" activations="1" stayactive="true" delay=7 >
-	  <events>
-	    <trigger>
-	      <EventListener event="reachedDelay1" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="Hood: Good work at the first two guards..."  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="reachedDelay2" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="reachedDelay3" activations="1" stayactive="true" delay=7 >
-	  <events>
-	    <trigger>
-	      <EventListener event="reachedDelay2" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="Hood: But the heaviest part is waiting"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="reachedDelay4" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="reachedDelay4" activations="1" stayactive="true" delay=0.1 >
-	  <events>
-	    <trigger>
-	      <EventListener event="reachedDelay3" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="for us..."  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="reachedDelay3" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="reachedDelay5" activations="1" stayactive="true" delay=7 >
-	  <events>
-	    <trigger>
-	      <EventListener event="reachedDelay4" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-        <Trigger name="reachedDelay6.destroyed" mode="and" stayActive="true">
-	  <EventTrigger>
-	    <events>
-	      <trigger>
-		<EventListener event="reachedDelay5" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
+    <SimpleNotification message="Houston: Scout is arrived!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="spionTrigger" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="spionTriggerDelay" stayactive="true" delay=5 >
+        <events>
+            <trigger>
+                <EventListener event="spionTrigger" />
+            </trigger>
+        </events>
+    </EventTrigger>    
+
+    <SimpleNotification message="Houston: Now the mainship is alarmed..."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="spionTriggerDelay" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <BlinkingBillboard position="14000, 1000, 22000" colour="1.0, 0.0, 0.0" frequency=0.3 amplitude=7 material="Examples/Flare" >
+      <events>
+        <visibility>
+          <EventTrigger>
+        <EventTrigger invert=true>
+          <events>
+            <trigger>
+              <EventListener event="spionEnd" />
+            </trigger>
+          </events>
+        </EventTrigger>
+            <events>
+              <trigger>
+                <EventListener event="guard2trigger1" />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </BlinkingBillboard>
+
+    <!-- If scout destroyed -->
+    <SimpleNotification message="Houston: Scout destroyed!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="spion5" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <Trigger name="scoutDestroydAddon" mode="and" stayActive="true" delay=5 >
+      <EventTrigger activations="1" >
+        <events>
+          <trigger>
+            <EventListener event="spion5" />
+          </trigger>
+        </events>
+      </EventTrigger>
+      <EventTrigger activations="1" >
+        <events>
+          <trigger>
+            <EventListener event="spionTrigger" />
+          </trigger>
+        </events>
+      </EventTrigger>
+    </Trigger>
+
+    <SimpleNotification message="Houston: But the mainship is already warned."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="scoutDestroydAddon" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <!-- Scout end -->
+    <Trigger name="spionEnd" mode="or" stayActive="true" delay=0 >
+      <EventTrigger>
+        <events>
+          <trigger>
+            <EventListener event="spion5" />
+          </trigger>
+        </events>
+      </EventTrigger>
+      <EventTrigger>
+        <events>
+          <trigger>
+            <EventListener event="spionTrigger" />
+          </trigger>
+        </events>
+      </EventTrigger>
+    </Trigger>
+
+    <EventTrigger name="spionEndDelay" activations="1" delay=5>
+      <events>
+        <trigger>
+          <EventListener event="spionEnd" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <!-- Intro to Captain Hood -->
+    <Trigger name="introHood" mode="and" stayActive="true">
+      <EventTrigger activations="1" >
+        <events>
+          <trigger>
+            <EventListener event="spionEndDelay" />
+          </trigger>
+        </events>
+      </EventTrigger>
+      <EventTrigger activations="1" >
+        <events>
+          <trigger>
+            <EventListener event="guard2trigger4" />
+          </trigger>
+        </events>
+      </EventTrigger>
+    </Trigger>
+
+    <EventTrigger name="introHoodDelay1" activations="1" stayactive="true" delay=5 >
+      <events>
+        <trigger>
+          <EventListener event="introHood" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: Your friend, Captain Hood, is"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="introHoodDelay1.2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="introHoodDelay1.2" activations="1" stayactive="true" delay=0.1 >
+      <events>
+        <trigger>
+          <EventListener event="introHoodDelay1" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="near by you!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="introHoodDelay1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="introHoodDelay2" activations="1" stayactive="true" delay=5.1 >
+      <events>
+        <trigger>
+          <EventListener event="introHoodDelay1" />
+        </trigger>
+      </events>
+    </EventTrigger>    
+
+    <SimpleNotification message="Houston: He'll show you the way"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="introHoodDelay2.2" />
+            </trigger>
+        </events>
+    </SimpleNotification>    
+
+    <EventTrigger name="introHoodDelay2.2" activations="1" stayactive="true" delay=0.1 >
+      <events>
+        <trigger>
+          <EventListener event="introHoodDelay2" />
+        </trigger>
+      </events>
+    </EventTrigger>    
+
+    <SimpleNotification message="to the mainship!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="introHoodDelay2" />
+            </trigger>
+        </events>
+    </SimpleNotification>    
+
+    <!-- Helper-Trigger for Captain Hood -->
+    <DistanceTrigger name="reached" position="10000, 2000, 17000" target="SpaceShip" distance=1000 stayActive="true" delay=0.1 >
+        <EventTrigger>
+            <events>
+                <trigger>
+                    <EventListener event="guard2trigger4" />
+                </trigger>
+            </events>
+        </EventTrigger>
+    </DistanceTrigger>
+
+    <SimpleNotification message="Houston: Follow Captain Hood!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="reached" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="reachedDelay1" activations="1" stayactive="true" delay=5 >
+      <events>
+        <trigger>
+          <EventListener event="reached" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Hood: Hello my friend!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="reachedDelay1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="reachedDelay2" activations="1" stayactive="true" delay=7 >
+      <events>
+        <trigger>
+          <EventListener event="reachedDelay1" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Hood: Good work at the first two guards..."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="reachedDelay2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="reachedDelay3" activations="1" stayactive="true" delay=7 >
+      <events>
+        <trigger>
+          <EventListener event="reachedDelay2" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Hood: But the heaviest part is waiting"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="reachedDelay4" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="reachedDelay4" activations="1" stayactive="true" delay=0.1 >
+      <events>
+        <trigger>
+          <EventListener event="reachedDelay3" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="for us..."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="reachedDelay3" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="reachedDelay5" activations="1" stayactive="true" delay=7 >
+      <events>
+        <trigger>
+          <EventListener event="reachedDelay4" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <Trigger name="reachedDelay6.destroyed" mode="and" stayActive="true">
+      <EventTrigger>
+        <events>
+          <trigger>
+        <EventListener event="reachedDelay5" />
+          </trigger>
+        </events>
+      </EventTrigger>
           <EventTrigger invert=true >
             <events>
@@ -991,265 +992,265 @@
         </Trigger>
 
-	<SimpleNotification message="Hood: Good that you've destroyed the scout!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="reachedDelay6.destroyed" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-        <Trigger name="reachedDelay6.arrived" mode="and" stayActive="true">
-	  <EventTrigger>
-	    <events>
-	      <trigger>
-		<EventListener event="reachedDelay5" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
+    <SimpleNotification message="Hood: Good that you've destroyed the scout!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="reachedDelay6.destroyed" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <Trigger name="reachedDelay6.arrived" mode="and" stayActive="true">
+      <EventTrigger>
+        <events>
+          <trigger>
+        <EventListener event="reachedDelay5" />
+          </trigger>
+        </events>
+      </EventTrigger>
+      <EventTrigger>
+        <events>
+          <trigger>
+            <EventListener event="spionTrigger" />
+          </trigger>
+        </events>
+      </EventTrigger>
+    </Trigger>
+
+    <SimpleNotification message="Hood: What a pity that you couldn't"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="reachedDelay6.arrived2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="reachedDelay6.arrived2" activations="1" stayactive="true" delay=0.1 >
+      <events>
+        <trigger>
+          <EventListener event="reachedDelay6.arrived" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="destroy the scout..."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="reachedDelay6.arrived" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="discuss" position="-4000, -9000, 18000" target="SpaceShip" distance=50 stayActive="true" delay=0.1 />
+    <SimpleNotification message="Hood: Look, there is the mainship!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="discuss" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <!-- End of Mainfight -->
+    <Trigger name="victory1" mode="and" stayActive="true">
+      <EventTrigger>
+        <events>
+          <trigger>
+        <EventListener event="guard3trigger4" />
+          </trigger>
+        </events>
+      </EventTrigger>
+      <EventTrigger activations="1" >
+        <events>
+          <trigger>
+            <EventListener event="spion5" />
+          </trigger>
+        </events>
+      </EventTrigger>
+    </Trigger>
+
+    <Trigger name="victory2" mode="and" stayActive="true">
+      <EventTrigger activations="1" >
+        <events>
+          <trigger>
+            <EventListener event="guard3trigger6" />
+          </trigger>
+        </events>
+      </EventTrigger>
+      <EventTrigger activations="1" >
+        <events>
+          <trigger>
+            <EventListener event="spionTrigger" />
+          </trigger>
+        </events>
+      </EventTrigger>
+    </Trigger>
+
+    <Trigger name="victory" mode="or" stayActive="true">
+      <EventTrigger activations="1" >
+        <events>
+          <trigger>
+        <EventListener event="victory1" />
+          </trigger>
+        </events>
+      </EventTrigger>
+      <EventTrigger activations="1" >
+        <events>
+          <trigger>
+            <EventListener event="victory2" />
+          </trigger>
+        </events>
+      </EventTrigger>
+    </Trigger>
+
+    <SimpleNotification message="Houston: YEEEHAAA! You managed it!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="victory" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="victoryDelay1" delay=5 >
+      <events>
+        <trigger>
+          <EventListener event="victory" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <EventTrigger name="victoryDelay1.1" delay=5.1 >
+      <events>
+        <trigger>
+          <EventListener event="victory" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: For that you will get the golden medal"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="victoryDelay1.1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification message="of the united space armies."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="victoryDelay1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="victoryDelay2" delay=5 >
+      <events>
+        <trigger>
+          <EventListener event="victoryDelay1.1" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <EventTrigger name="victoryDelay2.1" delay=5.1 >
+      <events>
+        <trigger>
+          <EventListener event="victoryDelay1.1" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: Now dock at the mainship and"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="victoryDelay2.1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification message="free the Commander!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="victoryDelay2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="victoryDelay3" delay=5 >
+      <events>
+        <trigger>
+          <EventListener event="victoryDelay2" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: The light shows you the hatch"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="victoryDelay3" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <!-- Rescue the commander -->
+    <BlinkingBillboard position="-12470, -21870, 25200" colour="0.0, 0.0, 1.0" frequency=0.5 amplitude=5 material="Examples/Flare" >
+      <events>
+        <visibility>
           <EventTrigger>
+            <EventTrigger invert=true>
+              <events>
+                <trigger>
+                  <EventListener event="dock" />
+                </trigger>
+              </events>
+            </EventTrigger>
             <events>
               <trigger>
-                <EventListener event="spionTrigger" />
+                <EventListener event="victory" />
               </trigger>
             </events>
           </EventTrigger>
-        </Trigger>
-
-	<SimpleNotification message="Hood: What a pity that you couldn't"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="reachedDelay6.arrived2" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="reachedDelay6.arrived2" activations="1" stayactive="true" delay=0.1 >
-	  <events>
-	    <trigger>
-	      <EventListener event="reachedDelay6.arrived" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="destroy the scout..."  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="reachedDelay6.arrived" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<DistanceTrigger name="discuss" position="-4000, -9000, 18000" target="SpaceShip" distance=50 stayActive="true" delay=0.1 />
-	<SimpleNotification message="Hood: Look, there is the mainship!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="discuss" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<!-- End of Mainfight -->
-        <Trigger name="victory1" mode="and" stayActive="true">
-	  <EventTrigger>
-	    <events>
-	      <trigger>
-		<EventListener event="guard3trigger4" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
-          <EventTrigger activations="1" >
-            <events>
-              <trigger>
-                <EventListener event="spion5" />
-              </trigger>
-            </events>
-          </EventTrigger>
-        </Trigger>
-
-        <Trigger name="victory2" mode="and" stayActive="true">
-	  <EventTrigger activations="1" >
-	    <events>
-	      <trigger>
-		<EventListener event="guard3trigger6" />
-	        </trigger>
-	    </events>
-	  </EventTrigger>
-          <EventTrigger activations="1" >
-            <events>
-              <trigger>
-                <EventListener event="spionTrigger" />
-              </trigger>
-            </events>
-          </EventTrigger>
-        </Trigger>
-
-        <Trigger name="victory" mode="or" stayActive="true">
-	  <EventTrigger activations="1" >
-	    <events>
-	      <trigger>
-		<EventListener event="victory1" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
-	  <EventTrigger activations="1" >
-            <events>
-              <trigger>
-                <EventListener event="victory2" />
-              </trigger>
-            </events>
-          </EventTrigger>
-        </Trigger>
-
-	<SimpleNotification message="Houston: YEEEHAAA! You managed it!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="victory" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="victoryDelay1" delay=5 >
-	  <events>
-	    <trigger>
-	      <EventListener event="victory" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<EventTrigger name="victoryDelay1.1" delay=5.1 >
-	  <events>
-	    <trigger>
-	      <EventListener event="victory" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: For that you will get the golden medal"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="victoryDelay1.1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<SimpleNotification message="of the united space armies."  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="victoryDelay1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="victoryDelay2" delay=5 >
-	  <events>
-	    <trigger>
-	      <EventListener event="victoryDelay1.1" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<EventTrigger name="victoryDelay2.1" delay=5.1 >
-	  <events>
-	    <trigger>
-	      <EventListener event="victoryDelay1.1" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: Now dock at the mainship and"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="victoryDelay2.1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<SimpleNotification message="free the Commander!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="victoryDelay2" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="victoryDelay3" delay=5 >
-	  <events>
-	    <trigger>
-	      <EventListener event="victoryDelay2" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: The light shows you the hatch"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="victoryDelay3" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<!-- Rescue the commander -->
-	<BlinkingBillboard position="-12470, -21870, 25200" colour="0.0, 0.0, 1.0" frequency=0.5 amplitude=5 material="Examples/Flare" >
-	  <events>
-	    <visibility>
-	      <EventTrigger>
-		<EventTrigger invert=true>
-		  <events>
-		    <trigger>
-		      <EventListener event="dock" />
-		    </trigger>
-		  </events>
-		</EventTrigger>
-	        <events>
-	          <trigger>
-	            <EventListener event="victory" />
-	          </trigger>
-	        </events>
-	      </EventTrigger>
-	    </visibility>
-	  </events>
-	</BlinkingBillboard>
-	
-	<DistanceTrigger name="dock" position="-12470, -21870, 25200" target="SpaceShip" distance=50 stayActive="true" delay=0 />
-	<SimpleNotification message="Houston: The Commander is on board!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="dock" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-	
-	<!-- TIMER-EVENTS -->
-	<EventTrigger name="dockDelay1" stayactive="true" delay=5 >
-	  <events>
-	    <trigger>
-	      <EventListener event="dock" />
-	    </trigger>
-	  </events>
-	</EventTrigger>	
-	
-	<SimpleNotification message="Houston: A bomb is placed in the mainship..."  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="dockDelay1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<EventTrigger name="dockDelay2" activations="1" stayactive="true" delay=5.0 >
-	  <events>
-	    <trigger>
-	      <EventListener event="dockDelay1" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
-
-	<SimpleNotification message="Houston: You have 10 seconds to move away..."  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="dockDelay2" />
-			</trigger>
-		</events>
-	</SimpleNotification>
+        </visibility>
+      </events>
+    </BlinkingBillboard>
+    
+    <DistanceTrigger name="dock" position="-12470, -21870, 25200" target="SpaceShip" distance=50 stayActive="true" delay=0 />
+    <SimpleNotification message="Houston: The Commander is on board!"  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="dock" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+    
+    <!-- TIMER-EVENTS -->
+    <EventTrigger name="dockDelay1" stayactive="true" delay=5 >
+      <events>
+        <trigger>
+          <EventListener event="dock" />
+        </trigger>
+      </events>
+    </EventTrigger>    
+    
+    <SimpleNotification message="Houston: A bomb is placed in the mainship..."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="dockDelay1" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <EventTrigger name="dockDelay2" activations="1" stayactive="true" delay=5.0 >
+      <events>
+        <trigger>
+          <EventListener event="dockDelay1" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+    <SimpleNotification message="Houston: You have 10 seconds to move away..."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event="dockDelay2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
 
 
@@ -1342,11 +1343,11 @@
 
 <!-- For Escape -->
-	<EventTrigger name="spion5" stayactive="true" >
-	  <events>
-	    <trigger>
-	      <EventListener event="spion" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
+    <EventTrigger name="spion5" stayactive="true" >
+      <events>
+        <trigger>
+          <EventListener event="spion" />
+        </trigger>
+      </events>
+    </EventTrigger>
 
 <!-- For last fight -->
@@ -1375,23 +1376,23 @@
               </trigger>
             </events>
-	    <EventTrigger name="guard3trigger2" activations="1" stayactive="true" delay=0.1 >
-	      <events>
-		<trigger>
-		  <EventListener event="lastGuard" />
-		</trigger>
-	      </events>
-	      <EventTrigger name="guard3trigger1" activations="1" stayactive="true" delay=0.1 >
-		<events>
-		  <trigger>
-		    <EventListener event="lastGuard" />
-		  </trigger>
-		</events>
-	      </EventTrigger>
-	    </EventTrigger>
+            <EventTrigger name="guard3trigger2" activations="1" stayactive="true" delay=0.1 >
+              <events>
+            <trigger>
+              <EventListener event="lastGuard" />
+            </trigger>
+              </events>
+              <EventTrigger name="guard3trigger1" activations="1" stayactive="true" delay=0.1 >
+                <events>
+                  <trigger>
+                    <EventListener event="lastGuard" />
+                  </trigger>
+                </events>
+              </EventTrigger>
+            </EventTrigger>
           </EventTrigger>
         </EventTrigger>
       </EventTrigger>
     </EventTrigger>
-	
+    
 <!-- ----------------------------------------------------- -->
 <!-- Passive Pirates: Guard 1 -->
@@ -1427,6 +1428,6 @@
     <WaypointController team=1>
       <waypoints>
-        <Model mesh="cube.mesh" scale=0 position="8000,0,-1000" />
-        <Model mesh="cube.mesh" scale=0 position="8000,0,1000" />
+        <Model mesh="cube.mesh" scale=0 position="8000,400,2000" />
+        <Model mesh="cube.mesh" scale=0 position="8000,0,0" />
       </waypoints>
     </WaypointController>
@@ -1497,11 +1498,11 @@
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="17700,4300,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17700,4300,15000" />
         <Model mesh="cube.mesh" scale=0 position="17000,4000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="16300,4300,15000" />
-	<Model mesh="cube.mesh" scale=0 position="16000,5000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="16300,5700,15000" />
-	<Model mesh="cube.mesh" scale=0 position="17000,6000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="17700,5700,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16300,4300,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16000,5000,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16300,5700,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17000,6000,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17700,5700,15000" />
         <Model mesh="cube.mesh" scale=0 position="18000,5000,15000" />
       </waypoints>
@@ -1527,12 +1528,12 @@
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="16300,5700,15000" />
-	<Model mesh="cube.mesh" scale=0 position="17000,6000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="17700,5700,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16300,5700,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17000,6000,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17700,5700,15000" />
         <Model mesh="cube.mesh" scale=0 position="18000,5000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="17700,4300,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17700,4300,15000" />
         <Model mesh="cube.mesh" scale=0 position="17000,4000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="16300,4300,15000" />
-	<Model mesh="cube.mesh" scale=0 position="16000,5000,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16300,4300,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16000,5000,15000" />
       </waypoints>
       <events>
@@ -1557,11 +1558,11 @@
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="16300,4300,15000" />
-	<Model mesh="cube.mesh" scale=0 position="16000,5000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="16300,5700,15000" />
-	<Model mesh="cube.mesh" scale=0 position="17000,6000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="17700,5700,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16300,4300,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16000,5000,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16300,5700,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17000,6000,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17700,5700,15000" />
         <Model mesh="cube.mesh" scale=0 position="18000,5000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="17700,4300,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17700,4300,15000" />
         <Model mesh="cube.mesh" scale=0 position="17000,4000,15000" />
       </waypoints>
@@ -1587,12 +1588,12 @@
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="17700,5700,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17700,5700,15000" />
         <Model mesh="cube.mesh" scale=0 position="18000,5000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="17700,4300,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17700,4300,15000" />
         <Model mesh="cube.mesh" scale=0 position="17000,4000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="16300,4300,15000" />
-	<Model mesh="cube.mesh" scale=0 position="16000,5000,15000" />
-	<Model mesh="cube.mesh" scale=0 position="16300,5700,15000" />
-	<Model mesh="cube.mesh" scale=0 position="17000,6000,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16300,4300,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16000,5000,15000" />
+        <Model mesh="cube.mesh" scale=0 position="16300,5700,15000" />
+        <Model mesh="cube.mesh" scale=0 position="17000,6000,15000" />
       </waypoints>
       <events>
@@ -1618,11 +1619,11 @@
     <WaypointController team=1>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="14000, 1000, 22000" />
+        <Model mesh="cube.mesh" scale=0 position="14000, 1000, 22000" />
         <Model mesh="cube.mesh" scale=0 position="0, -10000, 42000" />
       </waypoints>
       <events>
-	<activity>
-	  <EventListener event="guard2trigger1" />
-	</activity>
+    <activity>
+      <EventListener event="guard2trigger1" />
+    </activity>
       </events>
     </WaypointController>
@@ -1650,11 +1651,11 @@
         <Model mesh="cube.mesh" scale=0 position="-9500, -22000, 24000" /> <!-- -12000, -22000, 25000    -4000, -18000, 19000 -->
         <Model mesh="cube.mesh" scale=0 position="-10500, -22000, 23000" />
-	<Model mesh="cube.mesh" scale=0 position="-11000, -20000, 23000" />
-	<Model mesh="cube.mesh" scale=0 position="-10000, -20000, 24000" />
+        <Model mesh="cube.mesh" scale=0 position="-11000, -20000, 23000" />
+        <Model mesh="cube.mesh" scale=0 position="-10000, -20000, 24000" />
       </waypoints>
       <events>
-	<activity>
-	  <EventListener event="guard2trigger4" />
-	</activity>
+    <activity>
+      <EventListener event="guard2trigger4" />
+    </activity>
       </events>
     </WaypointPatrolController>
@@ -1675,12 +1676,12 @@
       <waypoints>
         <Model mesh="cube.mesh" scale=0 position="-10500, -22000, 23000" />
-	<Model mesh="cube.mesh" scale=0 position="-11000, -20000, 23000" />
-	<Model mesh="cube.mesh" scale=0 position="-10000, -20000, 24000" />        
-	<Model mesh="cube.mesh" scale=0 position="-9500, -22000, 24000" />
+        <Model mesh="cube.mesh" scale=0 position="-11000, -20000, 23000" />
+        <Model mesh="cube.mesh" scale=0 position="-10000, -20000, 24000" />        
+        <Model mesh="cube.mesh" scale=0 position="-9500, -22000, 24000" />
       </waypoints>
       <events>
-	<activity>
-	  <EventListener event="guard2trigger4" />
-	</activity>
+    <activity>
+      <EventListener event="guard2trigger4" />
+    </activity>
       </events>
     </WaypointPatrolController>
@@ -1700,13 +1701,13 @@
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="-11000, -20000, 23000" />
-	<Model mesh="cube.mesh" scale=0 position="-10000, -20000, 24000" />        
-	<Model mesh="cube.mesh" scale=0 position="-9500, -22000, 24000" />
+        <Model mesh="cube.mesh" scale=0 position="-11000, -20000, 23000" />
+        <Model mesh="cube.mesh" scale=0 position="-10000, -20000, 24000" />        
+        <Model mesh="cube.mesh" scale=0 position="-9500, -22000, 24000" />
         <Model mesh="cube.mesh" scale=0 position="-10500, -22000, 23000" />
       </waypoints>
       <events>
-	<activity>
-	  <EventListener event="guard2trigger4" />
-	</activity>
+    <activity>
+      <EventListener event="guard2trigger4" />
+    </activity>
       </events>
     </WaypointPatrolController>
@@ -1726,13 +1727,13 @@
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="-10000, -20000, 24000" />        
-	<Model mesh="cube.mesh" scale=0 position="-9500, -22000, 24000" />
+        <Model mesh="cube.mesh" scale=0 position="-10000, -20000, 24000" />        
+        <Model mesh="cube.mesh" scale=0 position="-9500, -22000, 24000" />
         <Model mesh="cube.mesh" scale=0 position="-10500, -22000, 23000" />
-	<Model mesh="cube.mesh" scale=0 position="-11000, -20000, 23000" />
+        <Model mesh="cube.mesh" scale=0 position="-11000, -20000, 23000" />
       </waypoints>
       <events>
-	<activity>
-	  <EventListener event="guard2trigger4" />
-	</activity>
+    <activity>
+      <EventListener event="guard2trigger4" />
+    </activity>
       </events>
     </WaypointPatrolController>
@@ -1755,11 +1756,11 @@
         <Model mesh="cube.mesh" scale=0 position="-9750, -21000, 24000" />
         <Model mesh="cube.mesh" scale=0 position="-10000, -22000, 23500" />
-	<Model mesh="cube.mesh" scale=0 position="-10750, -21000, 23000" />
-	<Model mesh="cube.mesh" scale=0 position="-10500, -20000, 23500" />
+        <Model mesh="cube.mesh" scale=0 position="-10750, -21000, 23000" />
+        <Model mesh="cube.mesh" scale=0 position="-10500, -20000, 23500" />
       </waypoints>
       <events>
-	<activity>
-	  <EventListener event="spionTrigger" />
-	</activity>
+    <activity>
+      <EventListener event="spionTrigger" />
+    </activity>
       </events>
     </WaypointPatrolController>
@@ -1779,13 +1780,13 @@
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="-10750, -21000, 23000" />
-	<Model mesh="cube.mesh" scale=0 position="-10500, -20000, 23500" />
+        <Model mesh="cube.mesh" scale=0 position="-10750, -21000, 23000" />
+        <Model mesh="cube.mesh" scale=0 position="-10500, -20000, 23500" />
         <Model mesh="cube.mesh" scale=0 position="-9750, -21000, 24000" />
         <Model mesh="cube.mesh" scale=0 position="-10000, -22000, 23500" />
       </waypoints>
       <events>
-	<activity>
-	  <EventListener event="spionTrigger" />
-	</activity>
+    <activity>
+      <EventListener event="spionTrigger" />
+    </activity>
       </events>
     </WaypointPatrolController>
@@ -1806,11 +1807,11 @@
     <WaypointPatrolController alertnessradius=5000 team=0 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="-4000, -9000, 18000" />
-	<Model mesh="cube.mesh" scale=0 position="-11500, -22000, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="-4000, -9000, 18000" />
+        <Model mesh="cube.mesh" scale=0 position="-11500, -22000, 25000" />
       </waypoints>
       <events>
-	<activity>
-	  <EventListener event="reached" />
-	</activity>
+    <activity>
+      <EventListener event="reached" />
+    </activity>
       </events>
     </WaypointPatrolController>
@@ -1822,11 +1823,11 @@
     <visibility>
       <EventTrigger>
-	<EventTrigger invert=true>
-	  <events>
-	    <trigger>
-	      <EventListener event="reached" />
-	    </trigger>
-	  </events>
-	</EventTrigger>
+    <EventTrigger invert=true>
+      <events>
+        <trigger>
+          <EventListener event="reached" />
+        </trigger>
+      </events>
+    </EventTrigger>
         <events>
           <trigger>
@@ -1840,9 +1841,9 @@
 
 <SimpleNotification message="Houston: Your friend Captain Hood is dead..."  broadcast="true">
-	<events>
-		<trigger>
-			<EventListener event="friend" />
-		</trigger>
-	</events>
+    <events>
+        <trigger>
+            <EventListener event="friend" />
+        </trigger>
+    </events>
 </SimpleNotification>
 
@@ -1856,9 +1857,9 @@
 
 <SimpleNotification message="Vane: NOOOOO!!!"  broadcast="true">
-	<events>
-		<trigger>
-			<EventListener event="friendDelay1" />
-		</trigger>
-	</events>
+    <events>
+        <trigger>
+            <EventListener event="friendDelay1" />
+        </trigger>
+    </events>
 </SimpleNotification>
 
@@ -1872,9 +1873,9 @@
 
 <SimpleNotification message="Houston: He died in a fight like he wished it!"  broadcast="true">
-	<events>
-		<trigger>
-			<EventListener event="friendDelay2" />
-		</trigger>
-	</events>
+    <events>
+        <trigger>
+            <EventListener event="friendDelay2" />
+        </trigger>
+    </events>
 </SimpleNotification>
 
@@ -1884,90 +1885,92 @@
 
 
-
 <!-- ASTEROIDS & ASTEROID-FIELDS -->
-	<!-- Asteroids -->
-	<Model 	position="9800, -5000, 5700" 
-		yaw="90" 
-		pitch="-90" 
-		roll="0" 
-		scale="200" 
-		mesh="asteroid_ice.mesh" >
-	  <attached>
-<!--	    <Model mass=10 scale3D="0.5,0.5,0.5" mesh="cube.mesh" position = "0,0,0" yaw=0 pitch=0 roll=0 /> -->
-	  </attached>
-	  <collisionShapes>
-	    <SphereCollisionShape radius=0.5 />
-	  </collisionShapes>
-	</Model>
-
-	<!-- triple large belt around the planet  -->
-	<?lua
-		dofile("includes/asteroidField.lua")
-		asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 7190, 7800, 250, 1)
-	?>
-
-	<?lua
-		dofile("includes/asteroidField.lua")
-		asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 10000, 11000, 300, 1)
-	?>
-
-	<?lua
-		dofile("includes/asteroidField.lua")
-		asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 14000, 15000, 350, 1)
-	?>
-
-	<!-- between guard 2 & mainship -->
-		<!-- Core -->	
-		<?lua
-			dofile("includes/asteroidField.lua")
-			asteroidField(-5000, -10000, 30000, 10, 700, 8000, 80, 0)
-		?>
-	
-		<!-- Peripherie -->
-		<?lua
-			dofile("includes/asteroidField.lua")
-			asteroidField(-5000, -10000, 30000, 10, 50, 10000, 100, 0)
-		?>
-
-		<?lua
-	      		dofile("includes/asteroidField.lua")
-			asteroidBelt(-10000, -12500, 0, 0, 0, 30, 30, 500, 0, 7850, 150, 0)
-	    	?>
-
-	<!-- PLANETS -->
-  	<Planet 	position="2000,-250,9000" 
-			scale=5000 
-			pitch=1 
-			mesh="iceplanet.mesh" 
-			atmosphere="atmosphere1" 
-			rotationaxis="1,1,0" 
-			rotationrate="0.5" 
-			atmospheresize=224.0f 
-			imagesize=1024.0f
-			mass="10000000"
-			angularDamping=0
-			collisiondamage=2
-			enablecollisiondamage=true
-			collisionType="dynamic" />
-
+    <!-- Asteroids -->
+    <Model     position="9800, -5000, 5700" 
+        yaw="90" 
+        pitch="-90" 
+        roll="0" 
+        scale="200" 
+        mesh="asteroid_ice.mesh" >
+      <attached>
+<!--        <Model mass=10 scale3D="0.5,0.5,0.5" mesh="cube.mesh" position = "0,0,0" yaw=0 pitch=0 roll=0 /> -->
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius=0.5 />
+      </collisionShapes>
+    </Model>
+
+    <!-- triple large belt around the planet  -->
+    <?lua
+        dofile("includes/asteroidField.lua")
+        asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 7190, 7800, 250, 1)
+    ?>
+
+    <?lua
+        dofile("includes/asteroidField.lua")
+        asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 10000, 11000, 300, 1)
+    ?>
+
+    <?lua
+        dofile("includes/asteroidField.lua")
+        asteroidBelt(2000, -250, 9000, 30, 0, 30, 30, 50, 14000, 15000, 350, 1)
+    ?>
+
+    <!-- between guard 2 & mainship -->
+        <!-- Core -->    
+        <?lua
+            dofile("includes/asteroidField.lua")
+            asteroidField(-5000, -10000, 30000, 10, 700, 8000, 80, 0)
+        ?>
+    
+        <!-- Peripherie -->
+        <?lua
+            dofile("includes/asteroidField.lua")
+            asteroidField(-5000, -10000, 30000, 10, 50, 10000, 100, 0)
+        ?>
+
+        <?lua
+                  dofile("includes/asteroidField.lua")
+            asteroidBelt(-10000, -12500, 0, 0, 0, 30, 30, 500, 0, 7850, 150, 0)
+            ?>
+
+    <!-- PLANETS -->
+      <Planet     position="2000,-250,9000" 
+            scale=5000 
+            pitch=1 
+            mesh="iceplanet.mesh" 
+            atmosphere="atmosphere1" 
+            rotationaxis="1,1,0" 
+            rotationrate="0.5" 
+            atmospheresize=224.0f 
+            imagesize=1024.0f
+            mass="10000000"
+            angularDamping=0
+            collisiondamage=2
+            enablecollisiondamage=true
+            collisionType="dynamic" />
+
+<!--  PICKUPS to make travelling faster  -->
+    <PickupSpawner pickup=hugespeedpickup position="8000,-600,17200" triggerDistance="400" respawnTime="10" maxSpawnedItems="5" />
+    <PickupSpawner pickup=hugespeedpickup position="12700,2400,9200" triggerDistance="400" respawnTime="10" maxSpawnedItems="5" />
 
 <!-- ----------------Rotating SpaceStation--------------- -->
-	<!-- first guard -->
-	<StaticEntity position="9000,0,0" collisionType=static yaw=112 pitch=67 >
-	  <attached>
-	    <?lua
-	      createSpaceStationPar(0,2,1,2,1,4,1,50)
-	    ?>
-	  </attached>
-	</StaticEntity>
-
-	<!-- second guard -->
-	<StaticEntity position="17000,5000,15000" collisionType=static yaw=12 pitch=75 >
-	  <attached>
-	    <?lua
-	      createSpaceStationPar(0,2,1,2,1,4,1,50)
-	    ?>
-	  </attached>
-	</StaticEntity>
+    <!-- first guard -->
+    <StaticEntity position="9000,0,0" collisionType=static yaw=112 pitch=67 >
+      <attached>
+        <?lua
+          createSpaceStationPar(0,2,1,2,1,4,1,50)
+        ?>
+      </attached>
+    </StaticEntity>
+
+    <!-- second guard -->
+    <StaticEntity position="17000,5000,15000" collisionType=static yaw=12 pitch=75 >
+      <attached>
+        <?lua
+          createSpaceStationPar(0,2,1,2,1,4,1,50)
+        ?>
+      </attached>
+    </StaticEntity>
 
 <!-- ------------------------- Mainship ------------------ -->
@@ -1979,12 +1982,12 @@
         name      = "Mainship"
         radarname = "Mainship" 
-	visible	  = "true" >
+        visible      = "true" >
       <controller>
         <WaypointController team=1 active="true" >
           <waypoints/>
           <events>
-	    <activity>
-	      <EventListener event=spawntrigger2 />
-	    </activity>
+            <activity>
+              <EventListener event=spawntrigger2 />
+            </activity>
           </events>
         </WaypointController>
@@ -1992,5 +1995,5 @@
       <attached>
         <Model scale=200 mesh="drone.mesh" position = "0,0,0" lookat="40000, 4000, 27000" />
-<!--	<Model mesh="cube.mesh" mass=10 position="-445,110,120" scale3D="45,45,150"  yaw=56 pitch=-4 roll=0 />
+<!--    <Model mesh="cube.mesh" mass=10 position="-445,110,120" scale3D="45,45,150"  yaw=56 pitch=-4 roll=0 />
         <Model mesh="cube.mesh" mass=10 position="-295,125,220" scale3D="28,28,28" yaw=56 pitch=-4 roll=0 />
         <Model mesh="cube.mesh" mass=10 position="-400,350,-200" scale3D="80,280,800" yaw=56 pitch=-4 roll=5 />
@@ -2002,5 +2005,5 @@
       </attached>
       <collisionShapes>
-	<BoxCollisionShape  position="-445,110,120" halfExtents="45,45,150" yaw=56 pitch=-4 roll=0 />
+        <BoxCollisionShape  position="-445,110,120" halfExtents="45,45,150" yaw=56 pitch=-4 roll=0 />
         <BoxCollisionShape  position="-295,125,220" halfExtents="28,28,28" yaw=56 pitch=-4 roll=0 />
         <BoxCollisionShape  position="-400,350,-200" halfExtents="80,280,800" yaw=56 pitch=-4 roll=5 />
@@ -2013,5 +2016,5 @@
       <events>
         <visibility>
-	  <EventListener event="negativeTimerEnd" />
+          <EventListener event="negativeTimerEnd" />
         </visibility>
       </events>
@@ -2040,4 +2043,20 @@
         </events>
     </ParticleSpawner>
+    
+   <!-- TODO: End the game >
+   <Script code="Mission endMission true" onLoad="false" times="1" >
+        <events>
+            <trigger>
+                <EventListener event=timerEnd />
+            </trigger>
+        </events>
+    </Script>
+    <Script code="Mission endMission false" onLoad="false" times="1" >
+        <events>
+            <trigger>
+                <EventListener event="timerEnd" />
+            </trigger>
+        </events>
+    </Script--> 
 
   </Scene>
